<?php
namespace Mirasvit\Sorting\Block\Adminhtml\Criterion;

/**
 * Interceptor class for @see \Mirasvit\Sorting\Block\Adminhtml\Criterion
 */
class Interceptor extends \Mirasvit\Sorting\Block\Adminhtml\Criterion implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Sorting\Service\SampleService $sampleService, \Magento\Backend\Block\Widget\Context $context)
    {
        $this->___init();
        parent::__construct($sampleService, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
